Skip to content

Update an existing collection

PATCH
/collections/{id}
curl --request PATCH \
--url https://antimony.example.com/api/collections/example \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "publicDeploy": true, "publicWrite": true }'
id
required
string

The ID of the collection to edit

A partial collection with updated values

Media typeapplication/json
object
name
string
publicDeploy
boolean
publicWrite
boolean

Example generated

{
"name": "example",
"publicDeploy": true,
"publicWrite": true
}

OK

Media typeapplication/json

The user isn’t authorized

Media typeapplication/json

Access to the resource was denied. Details in the request body.

Media typeapplication/json
object
code
integer
message
string

Example generated

{
"code": 1,
"message": "example"
}

The request was invalid. Details in the response body.

Media typeapplication/json
object
code
integer
message
string

Example generated

{
"code": 1,
"message": "example"
}

The provided access token is not valid

Media typeapplication/json